Subject: [PATCH net-next 0/5] sfp: add support for HALNy GPON module

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 13 Sep 2022 20:06:06 +0100

Hi,

This series adds support for the HALNy GPON SFP module. In order to do
this sensibly, we need a more flexible quirk system, since we need to
change the behaviour of the SFP cage driver to ignore the LOS and
TX_FAULT signals after module detection.

Since we move the SFP quirks into the SFP cage driver, we can use it
for the MA5671A and 3FE46541AA modules as well.

 drivers/net/phy/sfp-bus.c | 100 ++-------------------------
 drivers/net/phy/sfp.c     | 173 ++++++++++++++++++++++++++++++++++++++++------
 drivers/net/phy/sfp.h     |  10 ++-
 3 files changed, 163 insertions(+), 120 deletions(-)

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!